%define uname   MangoHud
%define uversion 0.6.8
%define srcname %{uname}-v%{uversion}
%define rdnsname io.github.flightlessmango.mangohud

Name:           mangohud
Version:        0.7.1
Release:        %mkrel 1
Summary:        A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more
Group:          System/Libraries
License:        MIT
URL:            https://github.com/flightlessmango/MangoHud
# DFSG tarball excludes nonfree nvml.h
Source0:        https://github.com/flightlessmango/MangoHud/releases/download/v%{uversion}/%{srcname}-Source-DFSG.tar.xz

BuildRequires:  appstream
BuildRequires:  glslang
BuildRequires:  meson
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(spdlog)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(x11)
BuildRequires:  python3dist(mako)

Requires:       %{_lib}vulkan-loader1

Provides:       bundled(imgui)

%description
A Vulkan overlay layer for monitoring FPS, temperatures, CPU/GPU load and more.

To enable the MangoHud Vulkan overlay layer, set `MANGOHUD=1` in the shell,
or use the `mangohud` command to launch programs.
See '%{_docdir}/%{name}' for configuration details.

The `goverlay` package provides a third-party GUI frontend for MangoHud.

%prep
%autosetup -p1 -n %{srcname}

%build
%meson \
  -Dinclude_doc=true \
  -Duse_system_spdlog=enabled \
  -Duse_system_vulkan=enabled \
  -Dwith_nvml=disabled \
  -Dwith_xnvctrl=disabled
# NVML is nonfree, XNVCtrl is not packaged yet (but could be enabled if it is)

%meson_build

%install
%meson_install

# Handled below. We still need -Dinclude_doc which governs other desktop data.
rm -rf %{buildroot}%{_docdir}

%files
%doc README.md data/%{uname}.conf
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/metainfo/%{rdnsname}.metainfo.xml
%{_datadir}/vulkan/implicit_layer.d/%{uname}.json
%{_datadir}/vulkan/implicit_layer.d/libMangoApp.json
%{_iconsdir}/hicolor/scalable/apps/%{rdnsname}.svg
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Apr 06 2024 papoteur <papoteur> 0.7.1-1.mga9
+ Revision: 2055085
- new version 0.7.1

* Thu Nov 03 2022 akien <akien> 0.6.8-1.mga9
+ Revision: 1901970
- Version 0.6.8

* Thu Oct 13 2022 papoteur <papoteur> 0.6.7.1-2.mga9
+ Revision: 1896739
- Rebuild for libfmt 9.1.0

* Mon Jun 13 2022 akien <akien> 0.6.7.1-1.mga9
+ Revision: 1864301
- Version 0.6.7.1

* Fri Mar 25 2022 akien <akien> 0.6.6.1-1.mga9
+ Revision: 1825830
- Version 0.6.6-1

* Fri Mar 25 2022 akien <akien> 0.6.5-1.mga9
+ Revision: 1825777
- Version 0.6.5

* Wed Dec 30 2020 akien <akien> 0.6.1-1.mga8
+ Revision: 1665672
- Version 0.6.1

* Fri Oct 23 2020 akien <akien> 0.5.1-1.mga8
+ Revision: 1638865
- Version 0.5.1
- Require vulkan-loader lib explicitly

* Thu Jun 11 2020 akien <akien> 0.4.1-1.mga8
+ Revision: 1592504
- Version 0.4.1

* Fri Feb 14 2020 akien <akien> 0.2.0-1.mga8
+ Revision: 1519991
- imported package mangohud

